Loading...
Searching...
No Matches
Functions for all platforms
Globus GSI System Config API

Functions for all platforms. More...

## Functions

globus_result_t | globus_gsi_sysconfig_get_unique_proxy_filename (char **unique_filename)
| Get Unique Proxy Filename.
globus_result_t | globus_gsi_sysconfig_get_vhost_cred_dir (char **dir_name_out)
| UNIX - Get vhost credential dir.

## Detailed Description

Functions for all platforms.

These functions are platform independent members of the Globus GSI System Configuration API.

## Function Documentation

## globus_gsi_sysconfig_get_unique_proxy_filename()

globus_result_t globus_gsi_sysconfig_get_unique_proxy_filename | ( | char ** | unique_filename | ) |

Get Unique Proxy Filename.

Get a unique proxy cert filename. This is mostly used for delegated proxy credentials. Each filename returned is going to be unique for each time the function is called.

Parameters

  unique_filename | the unique filename for a delegated proxy cert

Returns
  GLOBUS_SUCCESS or an error object identifier

## globus_gsi_sysconfig_get_vhost_cred_dir()

globus_result_t globus_gsi_sysconfig_get_vhost_cred_dir | ( | char ** | dir_name_out | ) |

UNIX - Get vhost credential dir.

Get the Trusted Certificate Directory containing the trusted Certificate Authority certificates. This directory is determined in the order shown below. Failure in one method results in attempting the next.

1. $X509_VHOST_CRED_DIR environment variable
2. $GLOBUS_LOCATION/etc/vhosts
3. /etc/grid-security/vhosts

If this function is successful, it modifies dir_name_out to point to the directory path. The caller must free this value.

Returns
  If successful, this function returns GLOBUS_SUCCESS. Otherwise, this function returns an error result.

Parameters

  [out] | dir_name_out | Pointer to set to the vhosts directory